Subject: bug#63595: 30.0.50; ERC 5.6: Add buffer-list and nick-list modules

From: "J.P." <[email-masked]>
Date: Thu, 25 Jan 2024 13:41:52 -0800

"J.P." <[email-masked]> writes:

> I'm unsure whether there's a regression present on HEAD affecting
> erc-speedbar (now the `nickbar' module). I've been noticing the idle
> timer only seems to run after user input has been received and dealt
> with. IOW, updates don't occur if simply leaving the window open and
> otherwise not interacting with Emacs. I suppose we could run the timer
> function manually, like on `erc-post-insert-hook' (perhaps guarded by
> some debouncing logic), but I'd only want to do so if we can confirm
> this isn't a regression.

This wasn't a regression but rather a faulty observation on account of
my ignorance regarding how idle timers work. In essence: no input, no
reset (no next run). To address this, I've implemented something like
the more robust manual trigger approach mentioned above:

  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=aae131b8

This bug is already closed.